<div align="center">
  <h1>pyproxy-sdk-py</h1>
</div>


**pyproxy-sdk-py** is a Python library that allows you to interact with the Pyproxy API. It is useful for retrieving data about the proxy or changing its configuration while it is running.

<p align="center">
  <img src="https://img.shields.io/github/license/pyproxytools/pyproxy-sdk-py?style=for-the-badge">
  <img src="https://img.shields.io/github/issues/pyproxytools/pyproxy-sdk-py?style=for-the-badge">
  <img src="https://img.shields.io/github/issues-closed/pyproxytools/pyproxy-sdk-py?style=for-the-badge">
  <br>
  <img src="https://img.shields.io/github/forks/pyproxytools/pyproxy-sdk-py?style=for-the-badge">
  <img src="https://img.shields.io/github/stars/pyproxytools/pyproxy-sdk-py?style=for-the-badge">
  <img src="https://img.shields.io/github/commit-activity/w/pyproxytools/pyproxy-sdk-py?style=for-the-badge">
  <img src="https://img.shields.io/github/contributors/pyproxytools/pyproxy-sdk-py?style=for-the-badge">
  <br>
  <img src="https://img.shields.io/pypi/v/pyproxytools-sdk?style=for-the-badge">
  <img src="https://img.shields.io/pypi/pyversions/pyproxytools-sdk?style=for-the-badge">
</p>

---

## 📦 **Installation**

### Install from package
```bash
pip install pyproxytools-sdk
```

## 🚀 **Usage Examples**

Simple usage examples are available in the [`examples/`](examples) directory.

They include:

* Initializing the PyProxy client
* Managing filters (add, delete, retrieve)
* Retrieving proxy status and settings
* Handling specific errors

## 📚 **Documentation**
If you encounter any problems, or if you want to use the program in a particular way, I advise you to read the [documentation](https://github.com/pyproxytools/pyproxy-sdk-py/wiki).

## 📄 **License**

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.

## 🤝 **Contributing**

Contributions are welcome and appreciated! If you'd like to improve this project, feel free to fork the repository and submit a pull request. Whether it's fixing bugs, adding new features, improving documentation, or suggesting enhancements, every bit helps. Please make sure to follow the coding standards and test your changes before submitting. Let's build something great together!

---